Class | Compass::Installers::Base
In: | lib/compass/app_integration/rails/installer.rb lib/compass/app_integration/stand_alone/installer.rb lib/compass/installers/base.rb
Parent: | Object

### Methods

compilation_required? finalize install install_directory install_html install_stylesheet installer new pattern_name_as_dir prepare run stylesheet_links targetize templatize

### Included Modules

Actions

### External Aliases

install_html | -> | install_html_without_haml

### Attributes

options | [RW] |
target_path | [RW] |
template_path | [RW] |
working_path | [RW] |

### Public Class methods

installer(type, installer_opts = {}, &locator)
new(template_path, target_path, options = {})

### Public Instance methods

compilation_required?()
finalize(options = {})

The default finalize method — it is a no-op. This could print out a message or something.

install()

The install method override this to install

install_directory(from, to, options)
install_html(from, to, options)
install_stylesheet(from, to, options)
pattern_name_as_dir()
prepare()

The default prepare method — it is a no-op. Generally you would create required directories, etc.

run(run_options = {})

Runs the installer. Every installer must conform to the installation strategy of prepare, install, and then finalize. A default implementation is provided for each step.

stylesheet_links()

Emits an HTML fragment that can be used to link to the compiled css files

targetize(path)

returns an absolute path given a path relative to the current installation target. Paths can use unix style "/" and will be corrected for the current platform.

templatize(path)

returns an absolute path given a path relative to the current template. Paths can use unix style "/" and will be corrected for the current platform.

[Validate]